
Foreman - Bug #14501

Global status icon does not indicate active or pending configuration status

04/06/2016 04:58 AM - Elodie B

Status: New   

Priority: Normal   

Assignee:    

Category: Reporting   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.10.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

This bug is linked to my email on the mailing-list: https://groups.google.com/forum/#!topic/foreman-users/o5IXyz5jxKI

Before the upgrade to 1.10, the color of the status icon before the name of host in the "all hosts" page was respecting the same color

code as the one available in the dashboard page (blue, green, orange, red....). We were also able to see wich hosts that had

performed modifications without error (blue) and which hosts which did not performed any modifications (green) or hosts with

pending modifications.

Since the upgrade, it is always green for these 3 cases and I have to put the mouse on the status icon to see the real status. There is

no logic in here, because it should draw attention if the host performed modifications or if there are pending modifications. Since it

always green, we do not easily know when modifications were made.

If modifications were made without errors it does not mean an OK status, same for pending modification. It is a regression.

Related issues:

Related to Foreman - Feature #10782: Add global status for hosts Closed 06/11/2015

Related to Foreman - Bug #13456: Different Icon for Pending changes ? New 01/28/2016

History

#1 - 04/06/2016 05:20 AM - Dominic Cleal

- Related to Feature #10782: Add global status for hosts added

#2 - 04/06/2016 05:20 AM - Dominic Cleal

- Related to Bug #13456: Different Icon for Pending changes ? added

#3 - 04/06/2016 05:21 AM - Dominic Cleal

- Subject changed from Status icon color changed after upgrade to 1.10 to Global status icon does not indicate active or pending configuration status

- Category set to Reporting

#4 - 04/07/2016 04:51 AM - Elodie B

Eventually, the solution given in issue 13456 (changing color of the tick) can partially help me here.
